;
; Zapata telephony interface
;
; Configuration file for SIP.edu Soekris sample config
;
; 2005-12-18 jtodd@loligo.com  v1.1
;
; This is a very minimalist configuration, with some of the PRI specific
;  tags left in as illustration to the diligent administrator.  I would
;  strongly suggest looking at the full list of options, which should be
;  located in the "real" zapata.conf ("zapata.conf.orig") if you would
;  like to understand all the options available.  If you are trying to
;  make this work with an analog T1, there are a slew of options in there
;  which you may find useful but which were removed from this small sample.
;
;
[trunkgroups]
; nothing here

[channels]
;
;
; We send all calls to the context [from-pri] in extensions.conf,
;  which is where we start to match against the dialed number and
;  "do stuff" with the call.
;
context=from-pri
;
; Switchtype:  Only used for PRI.
;
; national:       National ISDN 2 (default)
; dms100:         Nortel DMS100
; 4ess:           AT&T 4ESS
; 5ess:           Lucent 5ESS
; euroisdn:       EuroISDN
; ni1:            Old National ISDN 1
; qsig:           Q.SIG
;
switchtype=national
;
; Some switches (AT&T especially) require network specific facility IE
; supported values are currently 'none', 'sdn', 'megacom', 'accunet'
;
;nsf=none
;
; PRI Dialplan:  Only RARELY used for PRI.
;
; unknown:        Unknown
; private:        Private ISDN
; local:          Local ISDN
; national:       National ISDN
; international:  International ISDN
;
;pridialplan=national
;
; PRI Local Dialplan:  Only RARELY used for PRI (sets the calling number's numbering plan)
;
; unknown:        Unknown
; private:        Private ISDN
; local:          Local ISDN
; national:       National ISDN
; international:  International ISDN
;
;prilocaldialplan=national
;
;
; PRI resetinterval: sets the time in seconds between restart of unused
; channels, defaults to 3600; minimum 60 seconds.  Some PBXs don't like
; channel restarts. so set the interval to a very long interval e.g. 100000000
; or 'never' to disable *entirely*.
;
;resetinterval = 3600 
;
;
; PRI Out of band indications.
; Enable this to report Busy and Congestion on a PRI using out-of-band
; notification. Inband indication, as used by Asterisk doesn't seem to work
; with all telcos.
; 
; outofband:      Signal Busy/Congestion out of band with RELEASE/DISCONNECT
; inband:         Signal Busy/Congestion using in-band tones
;
; priindication = outofband
;
; If you need to override the existing channels selection routine and force all
; PRI channels to be marked as exclusively selected, set this to yes.
; priexclusive = yes
;
; ISDN Timers
; All of the ISDN timers and counters that are used are configurable.  Specify
; the timer name, and its value (in ms for timers).
;
; pritimer => t200,1000
; pritimer => t313,4000
;
; To enable transmission of facility-based ISDN supplementary services (such
; as caller name from CPE over facility), enable this option.
; facilityenable = yes
;
;
; Signalling method (default is fxs).  Valid values:
; em:             E & M
; em_w:           E & M Wink
; featd:          Feature Group D (The fake, Adtran style, DTMF)
; featdmf:        Feature Group D (The real thing, MF (domestic, US))
; featdmf_ta:     Feature Group D (The real thing, MF (domestic, US)) through
;                 a Tandem Access point
; featb:          Feature Group B (MF (domestic, US))
; fxs_ls:         FXS (Loop Start)
; fxs_gs:         FXS (Ground Start)
; fxs_ks:         FXS (Kewl Start)
; fxo_ls:         FXO (Loop Start)
; fxo_gs:         FXO (Ground Start)
; fxo_ks:         FXO (Kewl Start)
; pri_cpe:        PRI signalling, CPE side
; pri_net:        PRI signalling, Network side
; gr303fxoks_net: GR-303 Signalling, FXO Loopstart, Network side
; gr303fxsks_cpe: GR-303 Signalling, FXS Loopstart, CPE side
; sf:             SF (Inband Tone) Signalling
; sf_w:           SF Wink
; sf_featd:       SF Feature Group D (The fake, Adtran style, DTMF)
; sf_featdmf:     SF Feature Group D (The real thing, MF (domestic, US))
; sf_featb:       SF Feature Group B (MF (domestic, US))
; e911:           E911 (MF) style signalling
;
; For this system, we use pri_net, since we are simulating a "switch" 
;  as far as the PBX is concerned.
;
signalling=pri_net
;
; Whether or not to use caller ID
;
usecallerid=yes
;
; Whether or not to hide outgoing caller ID (Override with *67 or *82)
;
hidecallerid=no
;
;
; Whether or not use the caller ID presentation for the outgoing call that the
; calling switch is sending.
;
usecallingpres=yes
;
;
; Support Caller*ID on Call Waiting
;
callwaitingcallerid=yes
;
; Support three-way calling
;
threewaycalling=no
;
; Support flash-hook call transfer (requires three way calling)
; Also enables call parking (overrides the 'canpark' parameter)
;
transfer=no
;
; Allow call parking
; ('canpark=no' is overridden by 'transfer=yes')
;
canpark=no
;
; Support call forward variable
;
cancallforward=no
;
; Whether or not to support Call Return (*69)
;
callreturn=no
;
;
; Enable echo cancellation 
; Use either "yes", "no", or a power of two from 32 to 256 if you wish to
; actually set the number of taps of cancellation.
;
echocancel=yes
;
; Generally, it is not necessary (and in fact undesirable) to echo cancel when
; the circuit path is entirely TDM.  You may, however, reverse this behavior
; by enabling the echo cancel during pure TDM bridging below.
;
echocancelwhenbridged=yes
;
; In some cases, the echo canceller doesn't train quickly enough and there
; is echo at the beginning of the call.  Enabling echo training will cause
; asterisk to briefly mute the channel, send an impulse, and use the impulse
; response to pre-train the echo canceller so it can start out with a much
; closer idea of the actual echo.  Value may be "yes", "no", or a number of
; milliseconds to delay before training (default = 400)
;
;echotraining=yes
;echotraining=800
;
; If you are having trouble with DTMF detection, you can relax the DTMF
; detection parameters.  Relaxing them may make the DTMF detector more likely
; to have "talkoff" where DTMF is detected when it shouldn't be.
;
;relaxdtmf=yes
;
; You may also set the default receive and transmit gains (in dB)
;
rxgain=0.0
txgain=0.0
;
; Logical groups can be assigned to allow outgoing rollover.  Groups range
; from 0 to 63, and multiple groups can be specified.
;
group=1
;
; Specify whether the channel should be answered immediately or if the simple
; switch should provide dialtone, read digits, etc.
;
immediate=no
;
;
; Configure jitter buffers in zapata (each one is 20ms, default is 4)
;
;jitterbuffers=4
;
;
; So, which channels are we applying all these settings to?  All of them!
;
channel => 1-23
